org.apache.lucene.luke.models.analysis

## Class Analysis.TokenAttribute

- java.lang.Object
- - org.apache.lucene.luke.models.analysis.Analysis.TokenAttribute

Enclosing interface:
  Analysis

    public static class Analysis.TokenAttribute
    extends Object

Holder for a token attribute.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAttClass()` Returns attribute class name.
`Map<String,String>` `getAttValues()` Returns value of this attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getAttClass

    public String getAttClass()

Returns attribute class name.

#### getAttValues

    public Map<String,String> getAttValues()

Returns value of this attribute.